# ScreenBolt
ScreenBolt is an open-source desktop application designed for screen recording. With ScreenBolt, you can easily capture your screen and apply various effects such as mouse tracking and zooming. It’s compatible with Windows, Linux, and macOS.

## Features
- Screen Recording: Capture your entire screen or a selected region.
- Effects Editing: Apply effects such as tracking mouse movements and zooming to enhance your recordings.
- Cross-Platform: Available for Windows, Linux, and macOS.

## Installation
### For End Users
- Download: Go to the Releases page and download the appropriate version for your operating system.
- Install and Run: Follow the installation instructions provided with the release.
### For Developers
1. Set Up Environment:

- Install Anaconda.
- Create a new Conda environment if needed.
2. Prepare the Application:
- Clone the repository or download the source code.
- Navigate to the project directory.
3. Compile Resources:

```bash
# Suppose you're in screenbolt/screenbolt
python compile_resources.py
```
4. Run the Application:
```bash
# Suppose you're in the root directory
python -m screenbolt.main
```
## Contributing
We welcome contributions to ScreenBolt! If you’d like to contribute, please fork the repository and submit a pull request.

## License
ScreenBolt is released under the MIT License.

## Contact
For any questions or issues, please contact us at tamnvhustcc@gmail.com.